Skip to navigation

Create Company

Creates a new Company account. This endpoint also creates a Company user account for the administrator of the business.

If you have configured required information fields in your store’s Extra Fields settings for Company accounts or Company users, you must include the field’s name and value in the extraFields array of the request body. For more information on extra fields, see B2B Edition Settings in the Help Center.

After you have created a new Company account, you can configure all of its features and settings by using the Update a Company endpoint.

Independent vs Dependent Companies Behavior

When Independent Company behavior is enabled on your store, the system will not automatically create a dedicated customer group for each new Company account. Instead, you can assign a customer group to a Company account as needed using the customerGroupId field. If the customerGroupId field is not included in the request body, the Company account will be assigned to your configured default customer group.

If you have not configured a default customer group or set the value of customerGroupId to 0, the Company account will not be associated with any customer group, and its users will use your storefront’s default catalog visibility and pricing.

If your store is using legacy Dependent Company behavior, a new customer group will be automatically created and associated with each new Company account. In this case, you will not use the customerGroupId field.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Request

User Extra Field Values
companyNamestringRequired<=200 characters
The name of the business associated with the Company account.
companyEmailstringRequiredformat: "email"1-200 characters
The primary email address for the Company account.
companyPhonestringRequired<=50 characters
The primary phone number for the Company account.
countrystringRequired1-200 characters
The country of the primary address for the Company account. This must be either the full name or the ISO2 country code.
adminFirstNamestringRequired1-100 characters
The first name of the Company account administrator.
adminLastNamestringRequired1-100 characters
The last name of the Company account administrator.
adminEmailstringRequiredformat: "email"1-100 characters

The email address of the Company account administrator. If an existing BigCommerce customer account uses this email address, it is automatically linked to the administrator’s Company user account.

extraFieldslist of objectsOptional
userExtraFieldslist of objectsOptional
customerGroupIdintegerOptional

The ID of the BigCommerce customer group assigned to the Company account. This field can be static or configurable depending on whether or not your store uses Independent Companies behavior. See Independent Companies Behavior for more information.

addressLine1stringOptional<=200 characters
The first line of the primary address for the Company account.
addressLine2stringOptional<=200 characters
The second line of the primary address for the Company account.
citystringOptional1-100 characters
The city of the primary address for the Company account.
statestringOptional1-50 characters
The state of the primary address for the Company account, if applicable. This must be the full name and not an abbreviation.
zipCodestringOptional<=50 characters
The postal code of the primary address for the Company account.
adminPhoneNumberstringOptional1-100 characters
The phone number of the Company account administrator.
originChannelIdintegerOptional

The storefront channel ID designated as the origin for the Company administrator. Use 1 for your store’s default storefront channel.

channelIdslist of integersOptional

The storefront channel IDs in which buyers can access their Company’s Buyer Portal. Use 1 for your store’s default storefront channel.

catalogIdintegerOptional

The ID of the price list assigned to the Company account. This field is read-only for stores using Independent Companies Behavior.

If your store uses legacy Dependent Companies behavior and it does not have Multi-Storefront enabled, this field is required for creating new Company accounts. If your store has Multi-Storefront enabled, use the priceListAssign array instead.

acceptCreationEmailbooleanOptionalDefaults to false

Indicates whether or not the administrator receives a welcome email when the Company account is created.

true: Sends the welcome email to the admin user

false: Does not send the email

Response

Created
codeintegerOptional
dataobjectOptional
metaobjectOptional

Errors

400
Bad Request Error
422
Unprocessable Entity Error